; This file is part of RealSports Curling.

; RealSports Curling is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.

; RealSports Curling is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.

; You should have received a copy of the GNU General Public License
; along with RealSports Curling.  If not, see <http://www.gnu.org/licenses/>.

; Copyright 2018 Average Software.

; Data bytes

    org     $b000
; Display list resources.
null_display_list
    .byte       $41
    .word       null_display_list

title_display_list
    .byte       $70,$70,$70 ; 24 blank scanlines.
    .byte       $42,$00,$8  ; Mode 2, at address $800.
    .byte       $4e,$00,$20 ; Mode e, at address $2000.
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e ;26
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e ;51 
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e ;76
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e ;101
    .byte       $4e,$00,$30         ; Switch to address $3000.
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $0e,$0e,$0e,$0e,$0e
    .byte       $02,$02,$02,$02,$02
    .byte       $02,$02,$02,$02,$02
    .byte       $41                 ; Jump back to start.
    .word       title_display_list

license_display_list
    .byte       $70,$70,$70
    .byte       $42,$00,$4,
    .byte       $02,$02,$02,$02,$02
    .byte       $02,$02,$02,$02,$02
    .byte       $02,$02,$02,$02,$02
    .byte       $02,$02,$02,$02,$02
    .byte       $41
    .word       license_display_list

main_config_list
    .byte       $70,$70,$70 ; 24 blank scanlines.
    .byte       $46,$00,$10 ; Mode 6, at address $1000.
    .byte       $42,$00,$20 ; Mode 2, at address $2000.
    .byte       $02,$02,$02,$02,$02
    .byte       $02,$02,$02,$02,$02
    .byte       $02,$02,$02,$02,$02
    .byte       $02,$02,$02,$02,$02
    .byte       $02
    .byte       $41         ; Jump back to start.
    .word       main_config_list

; Graphics resources.
coin_frame_p0
    .byte       %00001111
    .byte       %00010000
    .byte       %00100000
    .byte       %01000000
    .byte       %10000000
    .byte       %10000000
    .byte       %10000000
    .byte       %10000000
    .byte       %10000000

coin_frame_p1
    .byte       %11110000
    .byte       %00001000
    .byte       %00000100
    .byte       %00000010
    .byte       %00000001
    .byte       %00000001
    .byte       %00000001
    .byte       %00000001
    .byte       %00000001

coin_frame_p2
    .byte       %00000000
    .byte       %00001111
    .byte       %00011111
    .byte       %00111111
    .byte       %01111111
    .byte       %01111111
    .byte       %01111111
    .byte       %01111111
    .byte       %01111111

coin_frame_p3
    .byte       %00000000
    .byte       %11110000
    .byte       %11111000
    .byte       %11111100
    .byte       %11111110
    .byte       %11111110
    .byte       %11111110
    .byte       %11111110
    .byte       %11111110

player0_rings
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000
    .byte       %00000001
    .byte       %00000011
    .byte       %00000111
    .byte       %00000111
    .byte       %00001111
    .byte       %00001111
    .byte       %00011111
    .byte       %00011111
    .byte       %00011111
    .byte       %00111111
    .byte       %00111111
    .byte       %00111111
    .byte       %01111111
    .byte       %01111110
    .byte       %01111110
    .byte       %01111110
    .byte       %01111100
    .byte       %11111100
    .byte       %11111100
    .byte       %11111100
    .byte       %11111100
    .byte       %11111100
    .byte       %11111000
    .byte       %11111000
    .byte       %11111000
    .byte       %11111000

player1_rings
    .byte       %00001111
    .byte       %00111111
    .byte       %01111111
    .byte       %11111111
    .byte       %11111111
    .byte       %11111111
    .byte       %11111111
    .byte       %11111111
    .byte       %11111111
    .byte       %11111111
    .byte       %11111000
    .byte       %11100000
    .byte       %11000000
    .byte       %11000000
    .byte       %10000000
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000
    .byte       %00000111
    .byte       %00001111
    .byte       %00011111
    .byte       %00011111
    .byte       %00011111
    .byte       %00111111
    .byte       %00111111
    .byte       %00111100
    .byte       %00111000
    .byte       %00111000

player2_rings
    .byte       %11000000
    .byte       %11110000
    .byte       %11111000
    .byte       %11111100
    .byte       %11111110
    .byte       %11111111
    .byte       %11111111
    .byte       %11111111
    .byte       %11111111
    .byte       %11111111
    .byte       %01111111
    .byte       %00011111
    .byte       %00001111
    .byte       %00001111
    .byte       %00000111
    .byte       %00000011
    .byte       %00000011
    .byte       %00000001
    .byte       %00000001
    .byte       %00000001
    .byte       %10000000
    .byte       %11000000
    .byte       %11100000
    .byte       %11100000
    .byte       %11100000
    .byte       %11110000
    .byte       %11110000
    .byte       %11110000
    .byte       %01110000
    .byte       %01110000

player3_rings
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000
    .byte       %10000000
    .byte       %10000000
    .byte       %11000000
    .byte       %11000000
    .byte       %11100000
    .byte       %11100000
    .byte       %11100000
    .byte       %11110000
    .byte       %11110000
    .byte       %11110000
    .byte       %11111000
    .byte       %11111000
    .byte       %11111000
    .byte       %11111000
    .byte       %11111000
    .byte       %11111100
    .byte       %11111100
    .byte       %11111100
    .byte       %11111100
    .byte       %11111100
    .byte       %01111100
    .byte       %01111100
    .byte       %01111100
    .byte       %01111100

display_rock
    .byte       %00001111,%00000000
    .byte       %00000000,%11000000
    .byte       %00111111,%11111100
    .byte       %11111111,%11111111
    .byte       %11111111,%11111111
    .byte       %00111111,%11111100

menu_rock
    .byte       %00110000
    .byte       %00001000
    .byte       %01111110
    .byte       %11111111
    .byte       %11111111
    .byte       %11111111
    .byte       %11111111
    .byte       %11111111
    .byte       %11111111
    .byte       %01111110

aim_arrow
    .byte       %00110000
    .byte       %00001100
    .byte       %11111111
    .byte       %00001100
    .byte       %00110000

sweeping_label_3
    .byte       %01111000
    .byte       %10000000
    .byte       %01110010
    .byte       %00001010
    .byte       %11110001
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000

sweeping_label_0
    .byte       %00100000
    .byte       %10100000
    .byte       %01000000
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000
    .byte       %00000000

curler_hair_normal
    .byte       %00000000
    .byte       %00000000
    .byte       %00001100
    .byte       %00001100
    .byte       %00001100
    .byte       %00000000
    .byte       %00000000

curler_hair_long
    .byte       %00000000
    .byte       %00000000
    .byte       %00111100
    .byte       %11111100
    .byte       %00111100
    .byte       %00000000
    .byte       %00000000

curler_hair_tail
    .byte       %00000000
    .byte       %00000000
    .byte       %00001100
    .byte       %00111100
    .byte       %00001100
    .byte       %00000000
    .byte       %00000000

curler_hair_friz
    .byte       %00000000
    .byte       %00100010
    .byte       %00011100
    .byte       %00111101
    .byte       %00011110
    .byte       %00101000
    .byte       %00000000

curler_hair_afro
    .byte       %00000000
    .byte       %00001110
    .byte       %00001110
    .byte       %00011111
    .byte       %00001110
    .byte       %00001110
    .byte       %00000000

curler_p2_rest
    .byte       %00111110
    .byte       %11111111
    .byte       %11111111
    .byte       %11111111
    .byte       %11111111
    .byte       %11111111
    .byte       %00111110

curler_p2_extended
    .byte       %01110000
    .byte       %11110000
    .byte       %11110000
    .byte       %11110010
    .byte       %11110110
    .byte       %11111100
    .byte       %01111000

curler_p3
    .byte       %00000111
    .byte       %00000111
    .byte       %00000111
    .byte       %00000000
    .byte       %11111111
    .byte       %11111111
    .byte       %11111111

curler_p3_norwegian
    .byte       %00000101
    .byte       %00000010
    .byte       %00000101
    .byte       %00000000
    .byte       %10101010
    .byte       %01010101
    .byte       %10101010

score_flag
    .byte       %11000000
    .byte       %00100000
    .byte       %00010000
    .byte       %01110000
    .byte       %11111000
    .byte       %11111000
    .byte       %11111000 
    .byte       %01110000 

hammer_image
    .byte       %11111000
    .byte       %11111000
    .byte       %11111000
    .byte       %00100000
    .byte       %00100000
    .byte       %00100000
    .byte       %00100000
    .byte       %00100000

weight_guard_text
    .byte       %00111111,%00110000,%11000011,%11000011,%11110000,%11111100,%00000000,%00000000
    .byte       %11000000,%00110000,%11001100,%00110011,%00001100,%11000011,%00000000,%00000000
    .byte       %11001111,%00110000,%11001111,%11110011,%11110000,%11000011,%00000000,%00000000
    .byte       %11000011,%00110000,%11001100,%00110011,%00001100,%11000011,%00000000,%00000000
    .byte       %00111111,%00001111,%00001100,%00110011,%00001100,%11111100,%00000000,%00000000

weight_draw_text
    .byte       %11111100,%00111111,%00000011,%11000011,%00000011,%00000000,%00000000,%00000000
    .byte       %11000011,%00110000,%11001100,%00110011,%00110011,%00000000,%00000000,%00000000
    .byte       %11000011,%00111111,%00001111,%11110011,%00110011,%00000000,%00000000,%00000000
    .byte       %11000011,%00110000,%11001100,%00110011,%00110011,%00000000,%00000000,%00000000
    .byte       %11111100,%00110000,%11001100,%00110000,%11001100,%00000000,%00000000,%00000000

weight_takeout_text
    .byte       %11111100,%00111100,%00110000,%11001111,%11110000,%11110000,%11000011,%00111111
    .byte       %00110000,%11000011,%00110011,%00001100,%00000011,%00001100,%11000011,%00001100
    .byte       %00110000,%11111111,%00111100,%00001111,%11000011,%00001100,%11000011,%00001100
    .byte       %00110000,%11000011,%00110011,%00001100,%00000011,%00001100,%11000011,%00001100
    .byte       %00110000,%11000011,%00110000,%11001111,%11110000,%11110000,%00111100,%00001100

curl_arrow_up
    .byte       %00000010,%10000000
    .byte       %00001010,%10100000
    .byte       %00101010,%10101000
    .byte       %00000010,%10000000
    .byte       %00000010,%10000000
    .byte       %00000010,%10000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    
curl_arrow_down
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000010,%10000000
    .byte       %00000010,%10000000
    .byte       %00000010,%10000000
    .byte       %00101010,%10101000
    .byte       %00001010,%10100000
    .byte       %00000010,%10000000

curl_flat
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000
    .byte       %00000000,%00000000

; Data tables.
house_edge
    .byte       $00                 ; 0
    .byte       $03
    .byte       $05
    .byte       $06
    .byte       $07

    .byte       $08                 ; 5
    .byte       $09
    .byte       $0a
    .byte       $0b
    .byte       $0b

    .byte       $0c                 ; a
    .byte       $0c
    .byte       $0d
    .byte       $0d
    .byte       $0d

    .byte       $0e                 ; f
    .byte       $0e
    .byte       $0e
    .byte       $0f
    .byte       $0f

    .byte       $0f                 ; 14
    .byte       $0f
    .byte       $0f
    .byte       $10
    .byte       $10

    .byte       $10                 ; 19
    .byte       $10
    .byte       $10
    .byte       $10
    .byte       $10

    .byte       $10                 ; 1e
    .byte       $10
    .byte       $10
    .byte       $10
    .byte       $10

    .byte       $10                 ; 23
    .byte       $10
    .byte       $10
    .byte       $10
    .byte       $10

    .byte       $10                 ; 28
    .byte       $10
    .byte       $10
    .byte       $0f
    .byte       $0f

    .byte       $0f                 ; 2d
    .byte       $0f                 
    .byte       $0f
    .byte       $0e
    .byte       $0e

    .byte       $0e                 ; 32
    .byte       $0d
    .byte       $0d
    .byte       $0d
    .byte       $0c

    .byte       $0c                 ; 37
    .byte       $0b
    .byte       $0b
    .byte       $0a
    .byte       $09

    .byte       $08                 ; 3c
    .byte       $07 
    .byte       $06
    .byte       $05
    .byte       $03

    .byte       $00                 ; 41

rock_shooter_map
    .byte       $0,$4,$0,$4,$1,$5,$1,$5,$2,$6,$2,$6,$3,$7,$3,$7

; Sound resources.
; Format is: AUDC value, then a 0 terminated sequence
; of AUDF value + duration in frames pairs.
; Special frequency values:
; ff: Rest period, play nothing.
; fe: AUDC change, byte that follows is the new AUDC.
; Special timing values:
; ff: Continuous sound. No 0 terminator in this case.
title_slide_sound
    .byte       $84
    .byte       $10,$5a
    .byte       $40,$0e
    .byte       $50,$0e
    .byte       $60,$0e
    .byte       $70,$0e
    .byte       $80,$0e
    .byte       $90,$0e
    .byte       $a0,$0e
    .byte       $b0,$0e
    .byte       $0

title_music
    .byte       $e3
    .byte       $22,$3c     ; A
    .byte       $1c,$28     ; C
    .byte       $ff,$05
    .byte       $1c,$0f     ; C
    .byte       $2a,$5a     ; F
    .byte       $26,$1e     ; G
    .byte       $22,$1e     ; A
    .byte       $20,$1e     ; B flat
    .byte       $1c,$1e     ; C
    .byte       $19,$1e     ; D
    .byte       $26,$5a     ; G
    .byte       $ff,$1e
    .byte       $22,$3c     ; A
    .byte       $1e,$28     ; B
    .byte       $ff,$05
    .byte       $1e,$0f     ; B
    .byte       $1c,$5a     ; C
    .byte       $19,$1e     ; D
    .byte       $16,$19     ; E
    .byte       $ff,$05
    .byte       $16,$1e     ; E
    .byte       $19,$19     ; D
    .byte       $ff,$05
    .byte       $19,$1e     ; D
    .byte       $1c,$5a     ; C
    .byte       $0

title_music_harmony
    .byte       $e3
    .byte       $39,$3c     ; C
    .byte       $2d,$28     ; E
    .byte       $ff,$05
    .byte       $2d,$0f     ; E
    .byte       $39,$5a     ; C
    .byte       $33,$1e     ; D
    .byte       $2d,$1e     ; E
    .byte       $2a,$1e     ; F
    .byte       $26,$1e     ; G
    .byte       $22,$1e     ; A
    .byte       $33,$5a     ; D
    .byte       $ff,$1e
    .byte       $2d,$3c     ; E
    .byte       $2a,$28     ; F
    .byte       $ff,$05
    .byte       $2a,$0f     ; F
    .byte       $26,$5a     ; G
    .byte       $22,$1e     ; A
    .byte       $39,$19     ; C
    .byte       $ff,$05
    .byte       $39,$1e     ; C
    .byte       $22,$19     ; A
    .byte       $ff,$05
    .byte       $22,$1e     ; A
    .byte       $26,$5a     ; G
    .byte       $0

crowd_sound
    .byte       $81
    .byte       $10,$05
    .byte       $fe,$82
    .byte       $10,$05
    .byte       $fe,$83
    .byte       $10,$05
    .byte       $fe,$84
    .byte       $11,$05
    .byte       $12,$05
    .byte       $13,$05
    .byte       $12,$05
    .byte       $11,$05
    .byte       $10,$05
    .byte       $11,$05
    .byte       $12,$05
    .byte       $11,$05
    .byte       $12,$05
    .byte       $13,$05
    .byte       $12,$05
    .byte       $11,$05
    .byte       $10,$05
    .byte       $11,$05
    .byte       $fe,$83
    .byte       $11,$05
    .byte       $fe,$82
    .byte       $11,$05
    .byte       $fe,$81
    .byte       $11,$05
    .byte       $0

sweep_sound
    .byte       $81
    .byte       $02,$05
    .byte       $0

menu_selection_sound
guard_mode_sound
    .byte       $e3
    .byte       $10,$01
    .byte       $20,$01
    .byte       $30,$01
    .byte       $0

draw_mode_sound
    .byte       $e3
    .byte       $30,$01
    .byte       $40,$01
    .byte       $50,$01
    .byte       $0

takeout_mode_sound
    .byte       $e3
    .byte       $70,$01
    .byte       $80,$01
    .byte       $90,$01
    .byte       $0

roar_sound
    .byte       $84
    .byte       $d8,$ff

collision_sound
    .byte       $e3
    .byte       $40,$05
    .byte       $0

; Text resources.
title_text_wide
    .byte       "R E A L S P O R T S",$0

press_start_text
    .byte       "Press the start button to play",$0

press_license_text
    .byte       "Press # to view license",$0

copyright_text
    .byte       "Copyright 2018 Average Software",$0

title_text
    .byte       "realsports curling",$0

select_length_text
    .byte       "Select game length (1 - 0):",$0

game_type_text
    .byte       "Select game type:",$0

one_one_one_text
    .byte       "1) 1 vs. 1, 1 controller",$0

one_one_two_text
    .byte       "2) 1 vs. 1, 2 controllers",$0

two_two_two_text
    .byte       "3) 2 vs. 2, 2 controllers",$0

two_two_four_text
    .byte       "4) 2 vs. 2, 4 controllers",$0

four_four_text
    .byte       "5) 4 vs. 4",$0

one_cpu_text
    .byte       "6) 1 vs. CPU",$0

two_cpu_text
    .byte       "7) 2 vs. CPU",$0

four_cpu_text
    .byte       "8) 4 vs. CPU",$0

cpu_cpu_text
    .byte       "9) CPU vs. CPU",$0

team_selection_text
    .byte       "Configure team #1:",$0

default_team_text
    .byte       "1) Default team",$0

custom_team_text
    .byte       "2) Custom team",$0

configure_shooter_text
    .byte       "Configure shooter #1:",$0

handedness_text
    .byte       "1) Handedness:",$0

left_text
    .byte       "Left ",$0

right_text
    .byte       "Right",$0

hairstyle_text
    .byte       "2) Hairstyle",$0

hair_color_text
    .byte       "3) Hair color",$0

jacket_color_text
    .byte       "4) Jacket color",$0

pants_color_text
    .byte       "5) Pants color",$0

pants_style_text
    .byte       "6) Pants style:",$0

short_text
    .byte       "Short",$0

long_text
    .byte       "Long ",$0

tail_text
    .byte       "Tail ",$0

friz_text
    .byte       "Friz ",$0

afro_text
    .byte       "Afro ",$0

solid_text
    .byte       "Solid    ",$0

norwegian_text
    .byte       "Norwegian",$0

done_text
    .byte       "0) Done",$0

hammer_select_text
    .byte       "Team #1 to choose:",$0

throw_first_text
    .byte       "1) Throw first",$0

throw_last_text
    .byte       "2) Throw last",$0

shot_text_one_sweeper
    .byte       "Player 1 to throw      Player 1 to sweep",$0

shot_text_two_sweepers
    .byte       "Player 1 to throw   Players 2&3 to sweep",$0
                                                         ;
cpu_shot_text
    .byte       "CPU to throw                CPU to sweep",$0

free_guard_text
    .byte       "          Free guard violation          ",$0

paused_text
    .byte       "           Paused by shooter            ",$0

cpu_paused_text
    .byte       "           Paused by player 1           ",$0

game_over_text
    .byte       "               Game over                ",$0

gpl_text_1
    .byte   "RealSports Curling is free software:    "
    .byte   "you can redistribute it and/or modify it"
    .byte   "under the terms of the GNU General      "
    .byte   "Public License as published by the Free "
    .byte   "Software Foundation, either version 3 of"
    .byte   "the License, or (at your option) any    ",$0
gpl_text_2
    .byte   "later version.                          "
    .byte   "                                        "
    .byte   "RealSports Curling is distributed in the"
    .byte   "hope that it will be useful, but WITHOUT"
    .byte   "ANY WARRANTY; without even the implied  "
    .byte   "warranty of MERCHANTABILITY or FITNESS  ",$0
gpl_text_3
    .byte   "FOR A PARTICULAR PURPOSE.  See the GNU  "
    .byte   "General Public License for more details."
    .byte   "                                        "
    .byte   "You should have received a copy of the  "
    .byte   "GNU General Public License along with   "
    .byte   "RealSports Curling.  If not, see        ",$0
gpl_text_4
    .byte   "<http://www.gnu.org/licenses/>.         "
    .byte   "                                        "
    .byte   " Press # to return to the title screen  ",$0

